System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.TransportBindingElement System.ServiceModel.Description.IPolicyExportExtension System.ServiceModel.Description.IWsdlExportExtension

This transport cannot be used with contracts that have request/reply operations.

Defines the binding element used to create a peer message transport channel.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to get a channel factory based on the configuration of the transport binding element.

  Creates a channel factory that can be used to create a channel for sending messages.

  that contains the new channel factory of the specified type.

  that specifies the binding context for the channel factory. The type of channel to produce.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to get a channel listener for receiving messages based on the configuration of the transport binding element.

  Creates a channel listener of the specified type for receiving messages.

  that contains the new channel listener of the specified type.

  that specifies the binding context for the channel listener. that specifies the type of the channels to produce.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a channel factory of the specified type can be built.

  true if this binding element can produce a channel factory of the specified type; false if it cannot.

  that specifies the binding context for the channel factory. that specifies the type of the channels to produce.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Determines whether a channel listener of the specified type can be built.

  true if this binding element can produce a channel listener of the specified type; false if it cannot.

  that specifies the binding context for the channel listener. that specifies the type of the channel listener.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement

  The object returned by this method can be re-boxed as an object of the more specific type.

  Creates a copy of the current binding element.

  that contains a copy of the current binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  The following properties can be retrieved from :

  Returns a property from the specified object.

  The property from the specified .

  that specifies the binding context. The specific property to obtain from the binding context.
- Property
  4.0.0.0
  System.Net.IPAddress To be added. To be added.

  Gets and sets the IP address on which peer message transports created by this binding element listen.

- Property
  4.0.0.0
  System.Int64 To be added.

  The default message size is 65,536 bytes.

  Gets and sets the value that specifies the maximum size, in bytes, of messages sent over transport channels created by this binding element.

- Property
  4.0.0.0
  System.Int32 To be added.

  If a port is not specified, then a port number is chosen from the set of available dynamic ports.

  Gets and sets the network port on which peer message transport channels created by this binding element listen.

- Property
  4.0.0.0
  System.String To be added.

  The default value for this property is "p2p".

  Gets the scheme used to indicate the protocol over which messages are transported by channels created by this binding element.

- Property
  4.0.0.0
  System.ServiceModel.PeerSecuritySettings To be added. To be added.

  Gets the specific security settings for transport channels created by this binding element.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Writes custom peer transport channel elements into the generated metadata for an endpoint.

  The that exports the metadata information.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes custom peer transport channel elements into the generated WSDL for a contract.

  The that exports the contract information. A object that provides mappings from exported WSDL elements to the contract description.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Writes custom peer transport channel elements into the generated WSDL for an endpoint.

  The that exports the endpoint information.